All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class SwingCustomizerDialog

    com.sas.swing.visuals.SwingCustomizerDialog

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class SwingCustomizerDialog

implements java.awt.event.ActionListener, java.awt.event.WindowListener

`SwingCustomizerDialog` is a `JDialog` subclass which displays a ``Customizer`` inside a `JScrollPane` and has a Close button for closing the dialog.

See Also:
  Serialized Form

Field Summary
`protected java.awt.ScrollPane` | `awtScrollPane`
`protected javax.swing.JButton` | `closeButton`
`protected java.awt.Component` | `customizer`
`protected javax.swing.JPanel` | `mainPanel`
`protected javax.swing.JScrollPane` | `swingScrollPane`

Constructor Summary
`SwingCustomizerDialog(java.awt.Component customizer, java.lang.Object object, java.lang.String title)` Construct a `SwingCustomizerDialog` for the customizer for the specified object
`SwingCustomizerDialog(java.awt.Component customizer, java.lang.Object object, java.lang.String title, java.awt.Frame frame)` Construct a `SwingCustomizerDialog` for the customizer for the specified object

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Handle a button press from the Close button.
`protected void` | `callCustomizerClosing()` Upon closing the window, if the customizer implements ``CustomizerClosingInterface``, call its ``CustomizerClosingInterface.customizerClosing()`` method.
`java.awt.Component` | `getCustomizer()` Return the customizer used to construct this dialog.
`void` | `windowActivated(java.awt.event.WindowEvent event)`
`void` | `windowClosed(java.awt.event.WindowEvent event)`
`void` | `windowClosing(java.awt.event.WindowEvent event)` Handle a window close event.
`void` | `windowDeactivated(java.awt.event.WindowEvent event)`
`void` | `windowDeiconified(java.awt.event.WindowEvent event)`
`void` | `windowIconified(java.awt.event.WindowEvent event)`
`void` | `windowOpened(java.awt.event.WindowEvent event)`

Field Detail

### closeButton

    protected javax.swing.JButton closeButton

### customizer

    protected java.awt.Component customizer

### mainPanel

    protected javax.swing.JPanel mainPanel

### swingScrollPane

    protected javax.swing.JScrollPane swingScrollPane

### awtScrollPane

    protected java.awt.ScrollPane awtScrollPane

Constructor Detail

### SwingCustomizerDialog

    public SwingCustomizerDialog(java.awt.Component customizer,
                                 java.lang.Object object,
                                 java.lang.String title,
                                 java.awt.Frame frame)

  Construct a `SwingCustomizerDialog` for the customizer for the specified object

  Parameters:
    `customizer` - the customizer to display within the dialog
    `object` - the object (Java bean) to be customized by the customizer.
    `title` - the window title
    `frame` - the parent frame. If frame is `null`, a new parent frame is created.

### SwingCustomizerDialog

    public SwingCustomizerDialog(java.awt.Component customizer,
                                 java.lang.Object object,
                                 java.lang.String title)

  Construct a `SwingCustomizerDialog` for the customizer for the specified object

  Parameters:
    `customizer` - the customizer to display within the dialog
    `object` - the object (Java bean) to be customized by the customizer.
    `title` - the window title

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handle a button press from the Close button. This closes the dialog.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - an event. If the event came from the close button, close (``Window.dispose()``) the dialog.

### callCustomizerClosing

    protected void callCustomizerClosing()

  Upon closing the window, if the customizer implements ``CustomizerClosingInterface``, call its ``CustomizerClosingInterface.customizerClosing()`` method.

### getCustomizer

    public java.awt.Component getCustomizer()

  Return the customizer used to construct this dialog.

  Returns:
    the customizer used to construct this dialog.

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent event)

  Handle a window close event. Calls ``callCustomizerClosing()``, then invokes the super method.

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Parameters:
    `event` - the window closing event.

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent event)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.